import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const stawardGetSegmantRoleService = createAsyncThunk(
  "STEWARD_GET_SEGMANT_ROLE_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("guilds/?&all=true", {
      params: {
        ...d,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
